Loading...
 
Architecture / Installation

Architecture / Installation


sql error

posts: 1

Hi all
I'm new to tikiwiki
I downloaded the latest version tikiwiki (tikiwiki-1.9.2.zip)
followed all th instruction:
- installed apache version 2.0.55
- installed php version 4.4.2
- installed mysql DB version 5.0.19
- installed phpMyAdmin version 2.8.0

Now, after all this when I point my browser to the tiki-install.php and select to create the default db the following tables are not created:

tiki_articles
tiki_submissions

The error displayed:

Message: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'reads int(14) default NULL,
votes int(8) default NULL,
poi

Do I have to downgrade the server? Or where can the problem be situated?

Any help is welcome
Thanx

th*

posts: 1092

The problem is mysql5.
reads is a reserved word in this version

mose has fixed it in 1.9. So you can wait for the release 1.9.3 - will be out pretty soon. Or pick up the cvs version
Instruction at (Download)
pick up the cvs -z3 co -r BRANCH-1-9 tikiwiki

sylvie



Upcoming Events

No records to display

Why Register?

Register at tiki.org and you'll be able to use the account at any *.tiki.org site, thanks to the InterTiki feature. A valid email address is required to receive site notifications and occasional newsletters. You can opt out of these items at any time.